//
//  RoomscannerAppApp.swift
//  RoomscannerApp
//
//  Created by Asil Arslan on 15.08.2023.
//

import SwiftUI

@main
struct RoomscannerAppApp: App {
    
    @StateObject var paymentViewModel = PaymentViewModel()
    @StateObject var settingsViewModel = SettingsViewModel()
    
    init(){
        
        var titleFont = UIFont.preferredFont(forTextStyle: .largeTitle)
        titleFont = UIFont(
            descriptor:
                titleFont.fontDescriptor
                .withDesign(.rounded)?
                .withSymbolicTraits(.traitBold)
            ??
            titleFont.fontDescriptor
            , size: titleFont.pointSize)
        UINavigationBar.appearance().largeTitleTextAttributes = [.font: titleFont]
        
        
        UITableView.appearance().showsVerticalScrollIndicator = false
        
        
    }
    
    var body: some Scene {
        WindowGroup {
            ContentView()
                .environmentObject(paymentViewModel)
                .environmentObject(settingsViewModel)
        }
    }
}
